Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.config
Class PeerBasicConfiguration

    java.lang.Object
      lbg.peer.config.PeerBasicConfiguration

    public class PeerBasicConfiguration

extends java.lang.Object

Author:
  Cyril Briquet

Field Summary
`boolean` | `SCHEDULE_HEAD_JOB_ONLY`
`int` | `SEARCH_TIMEOUT`

Constructor Summary
`PeerBasicConfiguration(java.util.Properties props)`
`PeerBasicConfiguration(java.lang.String peer_id, int timeout)`

Method Summary
`java.lang.String` | `format(boolean log_format)` Outputs the PeerBasicConfiguration, formatted either as a property file or as a log file.
`java.lang.String` | `PEER_ID()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEARCH_TIMEOUT

    public final int SEARCH_TIMEOUT

### SCHEDULE_HEAD_JOB_ONLY

    public final boolean SCHEDULE_HEAD_JOB_ONLY

Constructor Detail

### PeerBasicConfiguration

    public PeerBasicConfiguration(java.util.Properties props)
                           throws GridException

Throws:
  `GridException`

### PeerBasicConfiguration

    public PeerBasicConfiguration(java.lang.String peer_id,
                                  int timeout)
                           throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the PeerBasicConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format PeerBasicConfiguration as a log file
  Returns:
    formatted PeerBasicConfiguration

### PEER_ID

    public java.lang.String PEER_ID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.